Bug 113688 - Cannot set data series filling to pattern
Summary: Cannot set data series filling to pattern
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
5.4.2.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
: 117686 118611 (view as bug list)
Depends on:
Blocks: Chart Object-Fill-Pattern
  Show dependency treegraph
 
Reported: 2017-11-07 10:31 UTC by Jorge Juan
Modified: 2018-09-21 12:41 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file for chart pattern filling bug (15.38 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-11-07 10:32 UTC, Jorge Juan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jorge Juan 2017-11-07 10:31:09 UTC
Description:
After setting a fill pattern in a bars char, the fill does not change. Next time the data series format dialog is opened it starts in the "Bitmap" selector.

Steps to Reproduce:
1. Create bar chart. Leave default colour fill.
2. Edit data series area
3. Set a fill pattern

(test file attached)

Actual Results:  
1. Chart is still filled with solid colour
2. If data series format window is opened again, it starts in the “Bitmap” section.


Expected Results:
1. Data series filling changes to the selected pattern.



Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Version info:
Version: 5.4.2.2
Build ID: 1:5.4.2~rc2-0ubuntu0.16.04.1~lo2
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
Locale: en-GB (en_GB.UTF-8); Calc: group

$ cat /etc/issue
Ubuntu 16.04.3 LTS \n \l

Using PPA:
deb http://ppa.launchpad.net/libreoffice/ppa/ubuntu xenial main

Similar to bug 105947 and bug 105922.


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/62.0.3202.89 Safari/537.36
Comment 1 Jorge Juan 2017-11-07 10:32:26 UTC
Created attachment 137589 [details]
Test file for chart pattern filling bug
Comment 2 Regina Henschel 2017-11-07 20:51:01 UTC
I see the error in Version: 6.0.0.0.alpha1+ (x64)
Build ID: a5af0fd9f27af42cf2e8571f659cdad6e606215b
CPU threads: 8; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-11-07_00:30:02
Locale: de-DE (de_DE); Calc: CL
Comment 3 Commit Notification 2018-05-14 11:25:47 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d6d5c1c855a0ce57ab96747b950241065f849b83

tdf#113688: Pattern fill can be set from sidebar now

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Timur 2018-05-18 16:36:06 UTC
*** Bug 117686 has been marked as a duplicate of this bug. ***
Comment 5 Timur 2018-05-18 16:40:38 UTC
In 6.0.4, if we choose pattern but leave default Foreground and Background Color, pattern is not applied. But if we change some, it is. 
In 6.1+, even if we leave default Foreground and Background Color, pattern is applied. 
So it looks like WorksForMe.

Katarina, can you please explain the patch? 
By name it seems for unrelated issue, that pattern fill can 't be set from sidebar. 
But I tried new build, I still can't set pattern from sidebar, maybe WIP.
Comment 6 Katarina Behrens (CIB) 2018-05-22 07:44:02 UTC
> In 6.0.4, if we choose pattern but leave default Foreground and Background
> Color, pattern is not applied. But if we change some, it is. 
> In 6.1+, even if we leave default Foreground and Background Color, pattern
> is applied. 

May be fixed by https://cgit.freedesktop.org/libreoffice/core/commit/?id=ec05c7fd4a0e09e0c953f243475cbc7db9afb02c but I don't know for sure, QA is  hard, let's go shopping

> Katarina, can you please explain the patch? 
> By name it seems for unrelated issue, that pattern fill can 't be set from
> sidebar. 

The title of the bug says "cannot set data series filling to pattern" and doesn't specify whether this happens in sidebar or in area fill dialog. It didn't work from sidebar so I assigned the patch to this bug

> But I tried new build, I still can't set pattern from sidebar, maybe WIP.

It's a patch from older feature branch and it WFM, so if it doesn't work anymore on dailies, it was presumably someone else who broke it, not me
Comment 7 Timur 2018-05-25 17:40:06 UTC
When I said "I still can't set pattern from sidebar" it really means "I can't use sidebar for charts at all". Guess bug 116838.
It's another issue, but consequently we can't verify the patch. 

But I suggest you close this bug and - should God forbidden it doesn't work - we'll just reopen it. 
We seldom have chance to set "reopen" flag anyway :)
Comment 8 V Stuart Foote 2018-07-07 15:59:11 UTC
*** Bug 118611 has been marked as a duplicate of this bug. ***
Comment 9 Ted Lee 2018-08-13 19:31:48 UTC
I find several, possibly related, similar bugs in the 6.1 that just came out.  (One was really weird — with certain data values the bar gets separated from the axis!  Not sure I can reproduce that one, but I'll try.) This is using charts in calc; I'm not clear whether the "chart" component refers to that or something I'm not aware of, but seeing as the sample above looks like a normal calc ss, I'll assume "chart" is the component I should file my bug(s) under.  I'll narrow down the bugs I seem to be finding and send in a report.  I only have a couple of previous versions on my machine so I may not be very diligent about trying to find the earliest version my bugs are in.